#ifndef COLORLABEL_H
#define COLORLABEL_H

#include <QWidget>
#include "state.hpp"
#include "stateColor.hpp"
#include "alphabet.hpp"
#include <QListWidget>

namespace Ui {
class ColorLabel;
}

class ColorLabel : public QWidget
{
    Q_OBJECT

public:
    explicit ColorLabel(QWidget *parent = nullptr);
    ~ColorLabel();

public slots:

    void generateState(Alphabet a, QString list, unsigned int r, unsigned int g, unsigned int b); // Génère notre état en cliquant sur le bouton "Generate"
    void randomGenerator(Alphabet a, QString name_state); // Génère un état aléatoire
    void daltonianMode(Alphabet a, unsigned int nbStates); // La fonction est pour le moment implémentée pour 8 états fixe, à améliorer avec un nbStates désiré

private:
    Ui::ColorLabel *ui;
};

#endif // COLORLABEL_H
